Skip to main content
GET
/
live
/
{source}
/
resources
List resources from a source live
curl --request GET \
  --url https://api.hyperspell.com/live/{source}/resources \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "resource_id": "<string>",
      "title": "<string>",
      "metadata": {
        "created_at": "2023-11-07T05:31:56Z",
        "indexed_at": "2023-11-07T05:31:56Z",
        "last_modified": "2023-11-07T05:31:56Z",
        "status": "pending",
        "events": [
          {
            "message": "<string>",
            "time": "2023-11-07T05:31:56Z"
          }
        ],
        "url": "<string>"
      },
      "score": 123,
      "folder_id": "<string>",
      "parent_folder_id": "<string>",
      "folder_ancestors": [
        "<string>"
      ]
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Path Parameters

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions,
granola,
fathom,
fireflies,
linear,
hubspot,
salesforce,
coda,
lightfield

Query Parameters

connection_id
string | null

Specific connection id.

cursor
string | null
size
integer
default:50
Required range: 0 <= x <= 100

Response

Successful Response

items
Resource · object[]
required
next_cursor
string | null
required